Remove Upvote from Entity
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/entities/:entityId/remove-upvote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replyke.com/api/v6/:projectId/entities/:entityId/remove-upvote"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replyke.com/api/v6/:projectId/entities/:entityId/remove-upvote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"upvotes": [
{}
],
"downvotes": [
{}
]
}Entity Endpoints
Remove Upvote from Entity
Remove an upvote from an entity
Remove Upvote from Entity
Removes an upvote from the authenticated user on the specified entity.
Path Parameters
string
required
ID of the entity to modify
Response
Returns the updated entity with the user’s upvote removed.string
Unique entity identifier
string
ID of the entity creator
array
Updated array of user IDs who upvoted (current user removed)
array
Array of user IDs who downvoted
Error Responses
Not Upvoted - 409 Conflict
Not Upvoted - 409 Conflict
{
"error": "Can't remove upvote, as user didn't upvote entity or entity not found.",
"code": "entity/not-upvoted"
}
Not Found - 404 Not Found
Not Found - 404 Not Found
{
"error": "Entity not found.",
"code": "entity/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error.",
"code": "entity/server-error"
}
Notes
- Removing an upvote decreases the entity author’s reputation.
- The request will fail if the entity was never upvoted by the user.

